﻿#include "info-reader/feature-info-tokens-table.h"

/*!
 * @brief 地形属性トークンの定義 / Feature info flags
 */
const std::unordered_map<std::string_view, feature_flag_type> f_info_flags = {
    { "LOS", FF_LOS },
    { "PROJECT", FF_PROJECT },
    { "MOVE", FF_MOVE },
    { "PLACE", FF_PLACE },
    { "DROP", FF_DROP },
    { "SECRET", FF_SECRET },
    { "NOTICE", FF_NOTICE },
    { "REMEMBER", FF_REMEMBER },
    { "OPEN", FF_OPEN },
    { "CLOSE", FF_CLOSE },
    { "BASH", FF_BASH },
    { "SPIKE", FF_SPIKE },
    { "DISARM", FF_DISARM },
    { "STORE", FF_STORE },
    { "TUNNEL", FF_TUNNEL },
    { "MAY_HAVE_GOLD", FF_MAY_HAVE_GOLD },
    { "HAS_GOLD", FF_HAS_GOLD },
    { "HAS_ITEM", FF_HAS_ITEM },
    { "DOOR", FF_DOOR },
    { "TRAP", FF_TRAP },
    { "STAIRS", FF_STAIRS },
    { "RUNE_PROTECTION", FF_RUNE_PROTECTION },
    { "LESS", FF_LESS },
    { "MORE", FF_MORE },
    { "AVOID_RUN", FF_AVOID_RUN },
    { "FLOOR", FF_FLOOR },
    { "WALL", FF_WALL },
    { "PERMANENT", FF_PERMANENT },
    // { "XXX00", FF_XXX00 },
    // { "XXX01", FF_XXX01 },
    // { "XXX02", FF_XXX02 },
    { "HIT_TRAP", FF_HIT_TRAP },

    // { "BRIDGE", FF_BRIDGE },
    // { "RIVER", FF_RIVER },
    // { "LAKE", FF_LAKE },
    // { "BRIDGED", FF_BRIDGED },
    // { "COVERED", FF_COVERED },
    { "GLOW", FF_GLOW },
    { "ENSECRET", FF_ENSECRET },
    { "WATER", FF_WATER },
    { "LAVA", FF_LAVA },
    { "SHALLOW", FF_SHALLOW },
    { "DEEP", FF_DEEP },
    { "POISON_PUDDLE", FF_POISON_PUDDLE },
    { "HURT_ROCK", FF_HURT_ROCK },
    // { "HURT_FIRE", FF_HURT_FIRE },
    // { "HURT_COLD", FF_HURT_COLD },
    // { "HURT_ACID", FF_HURT_ACID },
    { "COLD_PUDDLE", FF_COLD_PUDDLE },
    { "ACID_PUDDLE", FF_ACID_PUDDLE },
    // { "OIL", FF_OIL },
    { "ELEC_PUDDLE", FF_ELEC_PUDDLE },
    // { "CAN_CLIMB", FF_CAN_CLIMB },
    { "CAN_FLY", FF_CAN_FLY },
    { "CAN_SWIM", FF_CAN_SWIM },
    { "CAN_PASS", FF_CAN_PASS },
    // { "CAN_OOZE", FF_CAN_OOZE },
    { "CAN_DIG", FF_CAN_DIG },
    // { "HIDE_ITEM", FF_HIDE_ITEM },
    // { "HIDE_SNEAK", FF_HIDE_SNEAK },
    // { "HIDE_SWIM", FF_HIDE_SWIM },
    // { "HIDE_DIG", FF_HIDE_DIG },
    // { "KILL_HUGE", FF_KILL_HUGE },
    // { "KILL_MOVE", FF_KILL_MOVE },

    // { "PICK_TRAP", FF_PICK_TRAP },
    // { "PICK_DOOR", FF_PICK_DOOR },
    // { "ALLOC", FF_ALLOC },
    // { "CHEST", FF_CHEST },
    // { "DROP_1D2", FF_DROP_1D2 },
    // { "DROP_2D2", FF_DROP_2D2 },
    // { "DROP_GOOD", FF_DROP_GOOD },
    // { "DROP_GREAT", FF_DROP_GREAT },
    // { "HURT_POIS", FF_HURT_POIS },
    // { "HURT_ELEC", FF_HURT_ELEC },
    // { "HURT_WATER", FF_HURT_WATER },
    // { "HURT_BWATER", FF_HURT_BWATER },
    // { "USE_FEAT", FF_USE_FEAT },
    // { "GET_FEAT", FF_GET_FEAT },
    // { "GROUND", FF_GROUND },
    // { "OUTSIDE", FF_OUTSIDE },
    // { "EASY_HIDE", FF_EASY_HIDE },
    // { "EASY_CLIMB", FF_EASY_CLIMB },
    // { "MUST_CLIMB", FF_MUST_CLIMB },
    { "TREE", FF_TREE },
    // { "NEED_TREE", FF_NEED_TREE },
    // { "BLOOD", FF_BLOOD },
    // { "DUST", FF_DUST },
    // { "SLIME", FF_SLIME },
    { "PLANT", FF_PLANT },
    // { "XXX2", FF_XXX2 },
    // { "INSTANT", FF_INSTANT },
    // { "EXPLODE", FF_EXPLODE },
    // { "TIMED", FF_TIMED },
    // { "ERUPT", FF_ERUPT },
    // { "STRIKE", FF_STRIKE },
    // { "SPREAD", FF_SPREAD },

    { "SPECIAL", FF_SPECIAL },
    { "HURT_DISI", FF_HURT_DISI },
    { "QUEST_ENTER", FF_QUEST_ENTER },
    { "QUEST_EXIT", FF_QUEST_EXIT },
    { "QUEST", FF_QUEST },
    { "SHAFT", FF_SHAFT },
    { "MOUNTAIN", FF_MOUNTAIN },
    { "BLDG", FF_BLDG },
    { "RUNE_EXPLOSION", FF_RUNE_EXPLOSION },
    { "PATTERN", FF_PATTERN },
    { "TOWN", FF_TOWN },
    { "ENTRANCE", FF_ENTRANCE },
    { "MIRROR", FF_MIRROR },
    { "UNPERM", FF_UNPERM },
    { "TELEPORTABLE", FF_TELEPORTABLE },
    { "CONVERT", FF_CONVERT },
    { "GLASS", FF_GLASS },
};
