﻿#include "store/store-owners.h"
#include "player/player-race-types.h"

/*!
 * @todo _() でまとめる
 */
const owner_type owners[MAX_STORES][MAX_OWNERS] = {
    {
        /* General store - 32 unique names */
        /*
          Raistlin は dragonlance の powerful wizard 。
          Rincewind the Chicken は Terry Pratchett の Discworld の登場人物 上記のパロディ？、
          { "憶病者ラストリン",  200, 108, RACE_HUMAN},
          { "Raistlin the Chicken", 200, 108, RACE_HUMAN},
        */
#ifdef JP
        { "フレンドリーなビルボ", 30000, 108, RACE_HOBBIT },
        { "憶病者リンスウィンド", 30000, 108, RACE_HUMAN },
        { "背の低いサルタン", 30000, 107, RACE_GNOME },
        { "ハンサムなライア=エル", 30000, 107, RACE_ELF },
        { "親切なファリルマウエン", 30000, 108, RACE_HOBBIT },
        { "臆病者ヴォワラン", 30000, 108, RACE_HUMAN },
        { "チビのエラシュナク", 30000, 107, RACE_BEASTMAN },
        { "ハンサムなグラッグ", 30000, 107, RACE_HALF_TITAN },
        { "ケチなフォロビア", 30000, 108, RACE_HUMAN },
        { "馬鹿のエリス", 30000, 108, RACE_HUMAN },
        { "腹ペコのフィルバート", 30000, 107, RACE_VAMPIRE },
        { "スナーグル・サシグア", 30000, 107, RACE_MIND_FLAYER },
        { "長死きエロワーズ", 30000, 108, RACE_SPECTRE },
        { "ノロマのフンディ", 30000, 108, RACE_ZOMBIE },
        { "グランサス", 30000, 107, RACE_SKELETON },
        { "丁寧なロラックス", 30000, 107, RACE_VAMPIRE },
        { "ブッチ", 30000, 108, RACE_HALF_ORC },
        { "美しきエルベレス", 30000, 108, RACE_HIGH_ELF },
        { "こそこそサーレス", 30000, 107, RACE_GNOME },
        { "ナーロック", 30000, 107, RACE_DWARF },
        { "チビのヘイネッカ", 30000, 108, RACE_GNOME },
        { "きちがいロワラン", 30000, 108, RACE_HALF_GIANT },
        { "毒息のウート", 30000, 107, RACE_DRACONIAN },
        { "でぶっちょアラァカ", 30000, 107, RACE_DRACONIAN },
        { "低能なプーゴー", 30000, 108, RACE_BEASTMAN },
        { "フェロールフィリアン", 30000, 108, RACE_ELF },
        { "年寄りマロカ", 30000, 107, RACE_GNOME },
        { "勇敢なサシン", 30000, 107, RACE_HALF_GIANT },
        { "田舎者アビエマール", 30000, 108, RACE_HUMAN },
        { "貧乏なハーク", 30000, 108, RACE_HALF_ORC },
        { "みじめなソアリン", 30000, 107, RACE_ZOMBIE },
        { "質素なメルラ", 30000, 107, RACE_ELF },
#else
        { "Bilbo the Friendly", 30000, 108, RACE_HOBBIT },
        { "Rincewind the Chicken", 30000, 108, RACE_HUMAN },
        { "Sultan the Midget", 30000, 107, RACE_GNOME },
        { "Lyar-el the Comely", 30000, 107, RACE_ELF },
        { "Falilmawen the Friendly", 30000, 108, RACE_HOBBIT },
        { "Voirin the Cowardly", 30000, 108, RACE_HUMAN },
        { "Erashnak the Midget", 30000, 107, RACE_BEASTMAN },
        { "Grug the Comely", 30000, 107, RACE_HALF_TITAN },
        { "Forovir the Cheap", 30000, 108, RACE_HUMAN },
        { "Ellis the Fool", 30000, 108, RACE_HUMAN },
        { "Filbert the Hungry", 30000, 107, RACE_VAMPIRE },
        { "Fthnargl Psathiggua", 30000, 107, RACE_MIND_FLAYER },
        { "Eloise Long-Dead", 30000, 108, RACE_SPECTRE },
        { "Fundi the Slow", 30000, 108, RACE_ZOMBIE },
        { "Granthus", 30000, 107, RACE_SKELETON },
        { "Lorax the Suave", 30000, 107, RACE_VAMPIRE },
        { "Butch", 30000, 108, RACE_HALF_ORC },
        { "Elbereth the Beautiful", 30000, 108, RACE_HIGH_ELF },
        { "Sarleth the Sneaky", 30000, 107, RACE_GNOME },
        { "Narlock", 30000, 107, RACE_DWARF },
        { "Haneka the Small", 30000, 108, RACE_GNOME },
        { "Loirin the Mad", 30000, 108, RACE_HALF_GIANT },
        { "Wuto Poisonbreath", 30000, 107, RACE_DRACONIAN },
        { "Araaka the Rotund", 30000, 107, RACE_DRACONIAN },
        { "Poogor the Dumb", 30000, 108, RACE_BEASTMAN },
        { "Felorfiliand", 30000, 108, RACE_ELF },
        { "Maroka the Aged", 30000, 107, RACE_GNOME },
        { "Sasin the Bold", 30000, 107, RACE_HALF_GIANT },
        { "Abiemar the Peasant", 30000, 108, RACE_HUMAN },
        { "Hurk the Poor", 30000, 108, RACE_HALF_ORC },
        { "Soalin the Wretched", 30000, 107, RACE_ZOMBIE },
        { "Merulla the Humble", 30000, 107, RACE_ELF },
#endif
    },
    {
        /* Armoury - 28 unique names */
#ifdef JP
        { "醜悪コン=ダー", 30000, 115, RACE_HALF_ORC },
        { "頑固者ダーグ=ロウ", 30000, 111, RACE_HUMAN },
        { "賢者デカド", 30000, 112, RACE_DUNADAN },
        { "鍛冶屋のウィーランド", 30000, 112, RACE_DWARF },
        { "醜悪コン=ダー", 30000, 115, RACE_HALF_ORC },
        { "頑固者ダーグ=ロウ", 30000, 111, RACE_HUMAN },
        { "ハンサムなデカド", 30000, 112, RACE_AMBERITE },
        { "エロー・ドラゴンスケイル", 30000, 112, RACE_ELF },
        { "デリカトス", 30000, 115, RACE_SPRITE },
        { "巨大なグルース", 30000, 111, RACE_HALF_GIANT },
        { "アニムス", 30000, 112, RACE_GOLEM },
        { "マルヴァス", 30000, 112, RACE_HALF_TITAN },
        { "セラクシス", 30000, 115, RACE_ZOMBIE },
        { "デス・チル", 30000, 111, RACE_SPECTRE },
        { "微かなドリオス", 30000, 112, RACE_SPECTRE },
        { "冷たいバスリック", 30000, 112, RACE_VAMPIRE },
        { "冷酷ヴェンジェラ", 30000, 115, RACE_HALF_TROLL },
        { "強者ウィラナ", 30000, 111, RACE_HUMAN },
        { "ヨジョ二世", 30000, 112, RACE_DWARF },
        { "優しいラナラー", 30000, 112, RACE_AMBERITE },
        { "不浄のホルバグ", 30000, 115, RACE_HALF_ORC },
        { "テレパスのエレレン", 30000, 111, RACE_DARK_ELF },
        { "イスドリリアス", 30000, 112, RACE_SPRITE },
        { "一つ目ヴェグナー", 30000, 112, RACE_CYCLOPS },
        { "混沌のロディッシュ", 30000, 115, RACE_BEASTMAN },
        { "剣豪ヘジン", 30000, 111, RACE_NIBELUNG },
        { "ずる屋のエルベレリス", 30000, 112, RACE_DARK_ELF },
        { "インプのザサス", 30000, 112, RACE_IMP },
        { "醜悪コン=ダー", 30000, 115, RACE_HALF_ORC },
        { "頑固者ダーグ=ロウ", 30000, 111, RACE_HUMAN },
        { "ハンサムなデカド", 30000, 112, RACE_AMBERITE },
        { "鍛冶屋のウィーランド", 30000, 112, RACE_DWARF },
#else
        { "Kon-Dar the Ugly", 30000, 115, RACE_HALF_ORC },
        { "Darg-Low the Grim", 30000, 111, RACE_HUMAN },
        { "Decado the Handsome", 30000, 112, RACE_DUNADAN },
        { "Wieland the Smith", 30000, 112, RACE_DWARF },
        { "Kon-Dar the Ugly", 30000, 115, RACE_HALF_ORC },
        { "Darg-Low the Grim", 30000, 111, RACE_HUMAN },
        { "Decado the Handsome", 30000, 112, RACE_AMBERITE },
        { "Elo Dragonscale", 30000, 112, RACE_ELF },
        { "Delicatus", 30000, 115, RACE_SPRITE },
        { "Gruce the Huge", 30000, 111, RACE_HALF_GIANT },
        { "Animus", 30000, 112, RACE_GOLEM },
        { "Malvus", 30000, 112, RACE_HALF_TITAN },
        { "Selaxis", 30000, 115, RACE_ZOMBIE },
        { "Deathchill", 30000, 111, RACE_SPECTRE },
        { "Drios the Faint", 30000, 112, RACE_SPECTRE },
        { "Bathric the Cold", 30000, 112, RACE_VAMPIRE },
        { "Vengella the Cruel", 30000, 115, RACE_HALF_TROLL },
        { "Wyrana the Mighty", 30000, 111, RACE_HUMAN },
        { "Yojo II", 30000, 112, RACE_DWARF },
        { "Ranalar the Sweet", 30000, 112, RACE_AMBERITE },
        { "Horbag the Unclean", 30000, 115, RACE_HALF_ORC },
        { "Elelen the Telepath", 30000, 111, RACE_DARK_ELF },
        { "Isedrelias", 30000, 112, RACE_SPRITE },
        { "Vegnar One-eye", 30000, 112, RACE_CYCLOPS },
        { "Rodish the Chaotic", 30000, 115, RACE_BEASTMAN },
        { "Hesin Swordmaster", 30000, 111, RACE_NIBELUNG },
        { "Elvererith the Cheat", 30000, 112, RACE_DARK_ELF },
        { "Zzathath the Imp", 30000, 112, RACE_IMP },
        { "Kon-Dar the Ugly", 30000, 115, RACE_HALF_ORC },
        { "Darg-Low the Grim", 30000, 111, RACE_HUMAN },
        { "Decado the Handsome", 30000, 112, RACE_AMBERITE },
        { "Wieland the Smith", 30000, 112, RACE_DWARF },
#endif
    },

    {
        /* Weapon Smith - 28 unique names */
#ifdef JP
        { "残忍なるアーノルド", 30000, 115, RACE_HALF_TROLL },
        { "獣殺しのアーンダル", 30000, 110, RACE_HALF_ELF },
        { "獣マスターのエディー", 30000, 115, RACE_HOBBIT },
        { "竜殺しのオグライン", 30000, 112, RACE_DWARF },
        { "熟練者ドリュー", 30000, 115, RACE_HUMAN },
        { "龍の子オラックス", 30000, 110, RACE_DRACONIAN },
        { "病気持ちのアンスラックス", 30000, 115, RACE_BEASTMAN },
        { "頑丈者アルコス", 30000, 112, RACE_DWARF },
        { "腐れ者のサリアス", 30000, 115, RACE_ZOMBIE },
        { "晒し骨のトゥエシク", 30000, 110, RACE_SKELETON },
        { "ビリオス", 30000, 115, RACE_BEASTMAN },
        { "ファスガル", 30000, 112, RACE_ZOMBIE },
        { "パラディンのエレフリス", 30000, 115, RACE_BARBARIAN },
        { "キ'トリッ'ク", 30000, 110, RACE_KLACKON },
        { "蜘蛛の友ドゥロカス", 30000, 115, RACE_DARK_ELF },
        { "巨人殺しのフングス", 30000, 112, RACE_DWARF },
        { "デランサ", 30000, 115, RACE_ELF },
        { "レンジャーのソルビスタニ", 30000, 110, RACE_HALF_ELF },
        { "ノロマのゾリル", 30000, 115, RACE_GOLEM },
        { "イーオン・フラックス", 30000, 112, RACE_HALF_ELF },
        { "強者ナドック", 30000, 115, RACE_HOBBIT },
        { "弱虫エラモグ", 30000, 110, RACE_KOBOLD },
        { "公正なエオウィリス", 30000, 115, RACE_VAMPIRE },
        { "バルログ殺しのヒュイモグ", 30000, 112, RACE_HALF_ORC },
        { "冷酷ピーダス", 30000, 115, RACE_HUMAN },
        { "ヴァモグ スレイヤー", 30000, 110, RACE_HALF_OGRE },
        { "性悪フーシュナク", 30000, 115, RACE_BEASTMAN },
        { "舞闘バレン", 30000, 112, RACE_BARBARIAN },
        { "残忍なるアーノルド", 30000, 115, RACE_BARBARIAN },
        { "獣殺しのアーンダル", 30000, 110, RACE_HALF_ELF },
        { "ビーストマスター・エディー", 30000, 115, RACE_HALF_ORC },
        { "竜殺しのオグライン", 30000, 112, RACE_DWARF },
#else
        { "Arnold the Beastly", 30000, 115, RACE_BARBARIAN },
        { "Arndal Beast-Slayer", 30000, 110, RACE_HALF_ELF },
        { "Eddie Beast-Master", 30000, 115, RACE_HALF_ORC },
        { "Oglign Dragon-Slayer", 30000, 112, RACE_DWARF },
        { "Drew the Skilled", 30000, 115, RACE_HUMAN },
        { "Orrax Dragonson", 30000, 110, RACE_DRACONIAN },
        { "Anthrax Disease-Carrier", 30000, 115, RACE_BEASTMAN },
        { "Arkhoth the Stout", 30000, 112, RACE_DWARF },
        { "Sarlyas the Rotten", 30000, 115, RACE_ZOMBIE },
        { "Tuethic Bare-Bones", 30000, 110, RACE_SKELETON },
        { "Bilious", 30000, 115, RACE_BEASTMAN },
        { "Fasgul", 30000, 112, RACE_ZOMBIE },
        { "Ellefris the Paladin", 30000, 115, RACE_BARBARIAN },
        { "K'trrik'k", 30000, 110, RACE_KLACKON },
        { "Drocus Spiderfriend", 30000, 115, RACE_DARK_ELF },
        { "Fungus Giant-Slayer", 30000, 112, RACE_DWARF },
        { "Delantha", 30000, 115, RACE_ELF },
        { "Solvistani the Ranger", 30000, 110, RACE_HALF_ELF },
        { "Xoril the Slow", 30000, 115, RACE_GOLEM },
        { "Aeon Flux", 30000, 112, RACE_HALF_ELF },
        { "Nadoc the Strong", 30000, 115, RACE_HOBBIT },
        { "Eramog the Weak", 30000, 110, RACE_KOBOLD },
        { "Eowilith the Fair", 30000, 115, RACE_VAMPIRE },
        { "Huimog Balrog-Slayer", 30000, 112, RACE_HALF_ORC },
        { "Peadus the Cruel", 30000, 115, RACE_HUMAN },
        { "Vamog Slayer", 30000, 110, RACE_HALF_OGRE },
        { "Hooshnak the Vicious", 30000, 115, RACE_BEASTMAN },
        { "Balenn War-Dancer", 30000, 112, RACE_BARBARIAN },
        { "Arnold the Beastly", 30000, 115, RACE_BARBARIAN },
        { "Arndal Beast-Slayer", 30000, 110, RACE_HALF_ELF },
        { "Eddie Beast-Master", 30000, 115, RACE_HALF_ORC },
        { "Oglign Dragon-Slayer", 30000, 112, RACE_DWARF },
#endif
    },
    {
        /* Temple - 22 unique names */
#ifdef JP
        { "質素なルードヴィヒ", 30000, 109, RACE_HUMAN },
        { "パラディンのガンナー", 30000, 110, RACE_HUMAN },
        { "選ばれしトリン", 30000, 107, RACE_ELF },
        { "賢明なるサラストロ", 30000, 109, RACE_DWARF },
        { "パーシヴァル卿", 30000, 107, RACE_HIGH_ELF },
        { "神聖なるアセナス", 30000, 109, RACE_HUMAN },
        { "マッキノン", 30000, 109, RACE_HUMAN },
        { "謹み婦人", 30000, 110, RACE_HIGH_ELF },
        { "ドルイドのハシュニック", 30000, 107, RACE_HOBBIT },
        { "フィナク", 30000, 109, RACE_YEEK },
        { "クリキック", 30000, 109, RACE_KLACKON },
        { "荒くれ者モリヴァル", 30000, 110, RACE_ELF },
        { "暗きホシャック", 30000, 107, RACE_IMP },
        { "賢者アタール", 30000, 109, RACE_HUMAN },
        { "清きイベニッド", 30000, 109, RACE_HUMAN },
        { "エリディシュ", 30000, 110, RACE_HALF_TROLL },
        { "呪術師ヴルドゥシュ", 30000, 107, RACE_HALF_OGRE },
        { "狂戦士ハオブ", 30000, 109, RACE_BARBARIAN },
        { "若きプルーグディシュ", 30000, 109, RACE_HALF_OGRE },
        { "きちがいラムワイズ", 30000, 110, RACE_YEEK },
        { "有徳者ムワート", 30000, 107, RACE_KOBOLD },
        { "弱虫ダードバード", 30000, 109, RACE_SPECTRE },
        { "質素なルードヴィヒ", 30000, 109, RACE_HUMAN },
        { "パラディンのガンナー", 30000, 110, RACE_HUMAN },
        { "選ばれしトリン", 30000, 107, RACE_ELF },
        { "賢明なるサラストロ", 30000, 109, RACE_DWARF },
        { "パーシヴァル卿", 30000, 107, RACE_HIGH_ELF },
        { "神聖なるアセナス", 30000, 109, RACE_HUMAN },
        { "マッキノン", 30000, 109, RACE_HUMAN },
        { "謹み婦人", 30000, 110, RACE_HIGH_ELF },
        { "ドルイドのハシュニック", 30000, 107, RACE_HOBBIT },
        { "フィナク", 30000, 109, RACE_YEEK },
#else
        { "Ludwig the Humble", 30000, 109, RACE_DWARF },
        { "Gunnar the Paladin", 30000, 110, RACE_HALF_TROLL },
        { "Torin the Chosen", 30000, 107, RACE_HIGH_ELF },
        { "Sarastro the Wise", 30000, 109, RACE_HUMAN },
        { "Sir Parsival the Pure", 30000, 107, RACE_HIGH_ELF },
        { "Asenath the Holy", 30000, 109, RACE_HUMAN },
        { "McKinnon", 30000, 109, RACE_HUMAN },
        { "Mistress Chastity", 30000, 110, RACE_HIGH_ELF },
        { "Hashnik the Druid", 30000, 107, RACE_HOBBIT },
        { "Finak", 30000, 109, RACE_YEEK },
        { "Krikkik", 30000, 109, RACE_KLACKON },
        { "Morival the Wild", 30000, 110, RACE_ELF },
        { "Hoshak the Dark", 30000, 107, RACE_IMP },
        { "Atal the Wise", 30000, 109, RACE_HUMAN },
        { "Ibenidd the Chaste", 30000, 109, RACE_HUMAN },
        { "Eridish", 30000, 110, RACE_HALF_TROLL },
        { "Vrudush the Shaman", 30000, 107, RACE_HALF_OGRE },
        { "Haob the Berserker", 30000, 109, RACE_BARBARIAN },
        { "Proogdish the Youthfull", 30000, 109, RACE_HALF_OGRE },
        { "Lumwise the Mad", 30000, 110, RACE_YEEK },
        { "Muirt the Virtuous", 30000, 107, RACE_KOBOLD },
        { "Dardobard the Weak", 30000, 109, RACE_SPECTRE },
        { "Ludwig the Humble", 30000, 109, RACE_DWARF },
        { "Gunnar the Paladin", 30000, 110, RACE_HALF_TROLL },
        { "Torin the Chosen", 30000, 107, RACE_HIGH_ELF },
        { "Sarastro the Wise", 30000, 109, RACE_HUMAN },
        { "Sir Parsival the Pure", 30000, 107, RACE_HIGH_ELF },
        { "Asenath the Holy", 30000, 109, RACE_HUMAN },
        { "McKinnon", 30000, 109, RACE_HUMAN },
        { "Mistress Chastity", 30000, 110, RACE_HIGH_ELF },
        { "Hashnik the Druid", 30000, 107, RACE_HOBBIT },
        { "Finak", 30000, 109, RACE_YEEK },
#endif
    },
    {
        /* Alchemist - 26 unique names */
#ifdef JP
        { "化学者マウザー", 30000, 111, RACE_HALF_ELF },
        { "カオスのウィズル", 30000, 110, RACE_HOBBIT },
        { "強欲ミダス", 30000, 116, RACE_GNOME },
        { "貧弱ジャ=ファー", 30000, 111, RACE_ELF }, /*FIRST*/
        { "カカルラカカル", 30000, 116, RACE_KLACKON },
        { "錬金術師ジャル=エス", 30000, 111, RACE_ELF },
        { "用心深いファネラス", 30000, 111, RACE_DWARF },
        { "キチガイのルンシー", 30000, 110, RACE_HUMAN },
        { "グランブルワース", 30000, 116, RACE_GNOME },
        { "フリッター", 30000, 111, RACE_SPRITE },
        { "ザリルス", 30000, 111, RACE_HUMAN },
        { "古きエグバート", 30000, 110, RACE_DWARF },
        { "誇り高きヴァリンドラ", 30000, 116, RACE_HIGH_ELF },
        { "錬金術師タエン", 30000, 111, RACE_HUMAN },
        { "巧言カイド", 30000, 111, RACE_VAMPIRE },
        { "暗きフリア", 30000, 110, RACE_NIBELUNG },
        { "質素なドムリ", 30000, 116, RACE_DWARF },
        { "魔の子ヤァジュッカ", 30000, 111, RACE_IMP },
        { "薬草師ジェララルドール", 30000, 111, RACE_HIGH_ELF },
        { "賢者オレラルダン", 30000, 110, RACE_BARBARIAN },
        { "デモニシストのフゾグロ", 30000, 116, RACE_IMP },
        { "錬金術師ドゥリアシュ", 30000, 111, RACE_HALF_ORC },
        { "強者ネリア", 30000, 111, RACE_CYCLOPS },
        { "辛口リグナス", 30000, 110, RACE_HALF_ORC },
        { "ティルバ", 30000, 116, RACE_HOBBIT },
        { "金持ちミリルドリック", 30000, 111, RACE_HUMAN },

        { "科学者マウザー", 30000, 111, RACE_HALF_ELF },
        { "カオスのウィズル", 30000, 110, RACE_HOBBIT },
        { "強欲ミダス", 30000, 116, RACE_GNOME },
        { "錬金術師ジャ=ファー", 30000, 111, RACE_ELF },
        { "カカルラカカル", 30000, 116, RACE_KLACKON },
        { "錬金術師ジャル=エス", 30000, 111, RACE_ELF },
#else
        { "Mauser the Chemist", 30000, 111, RACE_HALF_ELF },
        { "Wizzle the Chaotic", 30000, 110, RACE_HOBBIT },
        { "Midas the Greedy", 30000, 116, RACE_GNOME },
        { "Ja-Far the Alchemist", 30000, 111, RACE_ELF },
        { "Kakalrakakal", 30000, 116, RACE_KLACKON },
        { "Jal-Eth the Alchemist", 30000, 111, RACE_ELF },
        { "Fanelath the Cautious", 30000, 111, RACE_DWARF },
        { "Runcie the Insane", 30000, 110, RACE_HUMAN },
        { "Grumbleworth", 30000, 116, RACE_GNOME },
        { "Flitter", 30000, 111, RACE_SPRITE },
        { "Xarillus", 30000, 111, RACE_HUMAN },
        { "Egbert the Old", 30000, 110, RACE_DWARF },
        { "Valindra the Proud", 30000, 116, RACE_HIGH_ELF },
        { "Taen the Alchemist", 30000, 111, RACE_HUMAN },
        { "Cayd the Sweet", 30000, 111, RACE_VAMPIRE },
        { "Fulir the Dark", 30000, 110, RACE_NIBELUNG },
        { "Domli the Humble", 30000, 116, RACE_DWARF },
        { "Yaarjukka Demonspawn", 30000, 111, RACE_IMP },
        { "Gelaraldor the Herbmaster", 30000, 111, RACE_HIGH_ELF },
        { "Olelaldan the Wise", 30000, 110, RACE_BARBARIAN },
        { "Fthoglo the Demonicist", 30000, 116, RACE_IMP },
        { "Dridash the Alchemist", 30000, 111, RACE_HALF_ORC },
        { "Nelir the Strong", 30000, 111, RACE_CYCLOPS },
        { "Lignus the Pungent", 30000, 110, RACE_HALF_ORC },
        { "Tilba", 30000, 116, RACE_HOBBIT },
        { "Myrildric the Wealthy", 30000, 111, RACE_HUMAN },

        { "Mauser the Chemist", 30000, 111, RACE_HALF_ELF },
        { "Wizzle the Chaotic", 30000, 110, RACE_HOBBIT },
        { "Midas the Greedy", 30000, 116, RACE_GNOME },
        { "Ja-Far the Alchemist", 30000, 111, RACE_ELF },
        { "Kakalrakakal", 30000, 116, RACE_KLACKON },
        { "Jal-Eth the Alchemist", 30000, 111, RACE_ELF },
#endif
    },

    {
        /* Magic Shop - 23 unique names */
#ifdef JP
        { "ソーサラーのロ=パン", 30000, 110, RACE_HALF_ELF },
        { "偉大なるブガービイ", 30000, 113, RACE_GNOME },
        { "イェンダーの魔法使い", 30000, 110, RACE_HUMAN },
        { "死霊使いリャク", 30000, 110, RACE_HIGH_ELF },
        { "魔術師スキドゥニー", 30000, 110, RACE_HALF_ELF },
        { "幻術師キリア", 30000, 110, RACE_HUMAN },
        { "死霊術師ニッキ", 30000, 110, RACE_DARK_ELF },
        { "ソロストラン", 30000, 110, RACE_SPRITE },
        { "烏賊口アチシェ", 30000, 113, RACE_MIND_FLAYER },
        { "貴族のカザ", 30000, 110, RACE_HIGH_ELF },
        { "暗きファジル", 30000, 110, RACE_DARK_ELF },
        { "偉大なるケルドーン", 30000, 110, RACE_DWARF },
        { "フィランスロプス", 30000, 113, RACE_HOBBIT },
        { "魔女のアグナー", 30000, 110, RACE_HUMAN },
        { "死霊術師ビュリアンス", 30000, 110, RACE_BEASTMAN },
        { "ハイメイジのヴイラク", 30000, 110, RACE_BEASTMAN },
        { "知恵者マディッシュ", 30000, 113, RACE_BEASTMAN },
        { "ファレブリンボール", 30000, 110, RACE_HIGH_ELF },
        { "陰険フェリル=ガンド", 30000, 110, RACE_DARK_ELF },
        { "呪術師サレゴード", 30000, 110, RACE_BARBARIAN },
        { "神秘家クトゥアロス", 30000, 113, RACE_MIND_FLAYER },
        { "幻術師イベリ", 30000, 110, RACE_SKELETON },
        { "死霊術師ヘトー", 30000, 110, RACE_YEEK },
        { "魔術師ロ=パン", 30000, 110, RACE_HALF_ELF },
        { "偉大なるブガービイ", 30000, 113, RACE_GNOME },
        { "イェンダーの魔法使い", 30000, 110, RACE_HUMAN },
        { "死霊術師リャク", 30000, 110, RACE_DARK_ELF },
        { "魔術師スキドゥニー", 30000, 110, RACE_HALF_ELF },
        { "幻術師キリア", 30000, 110, RACE_HUMAN },
        { "死霊術師ニッキ", 30000, 110, RACE_DARK_ELF },
        { "ソロストラン", 30000, 110, RACE_SPRITE },
        { "烏賊口アチシェ", 30000, 113, RACE_MIND_FLAYER },
#else
        { "Lo Pan the Sorcerer", 30000, 110, RACE_HALF_ELF },
        { "Buggerby the Great", 30000, 113, RACE_GNOME },
        { "The Wizard of Yendor", 30000, 110, RACE_HUMAN },
        { "Rjak the Necromancer", 30000, 110, RACE_DARK_ELF },
        { "Skidney the Sorcerer", 30000, 110, RACE_HALF_ELF },
        { "Kyria the Illusionist", 30000, 110, RACE_HUMAN },
        { "Nikki the Necromancer", 30000, 110, RACE_DARK_ELF },
        { "Solostoran", 30000, 110, RACE_SPRITE },
        { "Achshe the Tentacled", 30000, 113, RACE_MIND_FLAYER },
        { "Kaza the Noble", 30000, 110, RACE_HIGH_ELF },
        { "Fazzil the Dark", 30000, 110, RACE_DARK_ELF },
        { "Keldorn the Grand", 30000, 110, RACE_DWARF },
        { "Philanthropus", 30000, 113, RACE_HOBBIT },
        { "Agnar the Enchantress", 30000, 110, RACE_HUMAN },
        { "Buliance the Necromancer", 30000, 110, RACE_BEASTMAN },
        { "Vuirak the High-Mage", 30000, 110, RACE_BEASTMAN },
        { "Madish the Smart", 30000, 113, RACE_BEASTMAN },
        { "Falebrimbor", 30000, 110, RACE_HIGH_ELF },
        { "Felil-Gand the Subtle", 30000, 110, RACE_DARK_ELF },
        { "Thalegord the Shaman", 30000, 110, RACE_BARBARIAN },
        { "Cthoaloth the Mystic", 30000, 113, RACE_MIND_FLAYER },
        { "Ibeli the Illusionist", 30000, 110, RACE_SKELETON },
        { "Heto the Necromancer", 30000, 110, RACE_YEEK },
        { "Lo Pan the Sorcerer", 30000, 110, RACE_HALF_ELF },
        { "Buggerby the Great", 30000, 113, RACE_GNOME },
        { "The Wizard of Yendor", 30000, 110, RACE_HUMAN },
        { "Rjak the Necromancer", 30000, 110, RACE_DARK_ELF },
        { "Skidney the Sorcerer", 30000, 110, RACE_HALF_ELF },
        { "Kyria the Illusionist", 30000, 110, RACE_HUMAN },
        { "Nikki the Necromancer", 30000, 110, RACE_DARK_ELF },
        { "Solostoran", 30000, 110, RACE_SPRITE },
        { "Achshe the Tentacled", 30000, 113, RACE_MIND_FLAYER },
#endif
    },
    {
        /* Black Market - 32 unique names */
#ifdef JP
        { "ガリー=ギガズ", 60000, 150, RACE_HALF_TROLL },
        { "ゴブリンのヒストーア", 60000, 150, RACE_HALF_ORC },
        { "フェレンギ人クアーク", 60000, 150, RACE_HUMAN },
        { "公正なる(?)トッピ", 60000, 150, RACE_ELF },
        { "死人ヴァッサ", 60000, 150, RACE_ZOMBIE },
        { "裏切り者カイン", 60000, 150, RACE_VAMPIRE },
        { "ブボニカス", 60000, 150, RACE_BEASTMAN },
        { "コープスライト", 60000, 150, RACE_SPECTRE },
        { "血に飢えしパリッシュ", 60000, 150, RACE_VAMPIRE },
        { "ヴァイル", 60000, 150, RACE_SKELETON },
        { "信頼のプレンティス", 60000, 150, RACE_SKELETON },
        { "人間殺しのグリエラ", 60000, 150, RACE_IMP },
        { "エンジェル", 60000, 150, RACE_VAMPIRE },
        { "水膨れフロツァム", 60000, 150, RACE_ZOMBIE },
        { "ニーヴァル", 60000, 150, RACE_VAMPIRE },
        { "明るいアナスタシア", 60000, 150, RACE_SPECTRE },
        { "死霊術師チャリティー", 60000, 150, RACE_DARK_ELF },
        { "ボクサーのプグナシオス", 60000, 150, RACE_HALF_ORC },
        { "幸運なフットソア", 60000, 150, RACE_BEASTMAN },
        { "光指のシドリア", 60000, 150, RACE_HUMAN },
        { "手品師リアソー", 60000, 150, RACE_HOBBIT },
        { "やりくり上手のジャナッカ", 60000, 150, RACE_GNOME },
        { "悪党シーナ", 60000, 150, RACE_GNOME },
        { "大爪アルニッキ", 60000, 150, RACE_DRACONIAN },
        { "貧乏チャエアンド", 60000, 150, RACE_HUMAN },
        { "山賊アファードーフ", 60000, 150, RACE_BARBARIAN },
        { "強欲ラザクスル", 60000, 150, RACE_MIND_FLAYER },
        { "ファラレウィン", 60000, 150, RACE_SPRITE },
        { "しわしわヴォスール", 60000, 150, RACE_NIBELUNG },
        { "ハンサムなアラオード", 60000, 150, RACE_AMBERITE },
        { "負け犬セラドフリド", 60000, 150, RACE_HUMAN },
        { "片足のエルーロ", 60000, 150, RACE_HALF_OGRE },
#else
        { "Gary Gygaz", 60000, 150, RACE_HALF_TROLL },
        { "Histor the Goblin", 60000, 150, RACE_HALF_ORC },
        { "Quark the Ferengi", 60000, 150, RACE_DWARF },
        { "Topi the Fair(?)", 60000, 150, RACE_HUMAN },
        { "Vhassa the Dead", 60000, 150, RACE_ZOMBIE },
        { "Kyn the Treacherous", 60000, 150, RACE_VAMPIRE },
        { "Bubonicus", 60000, 150, RACE_BEASTMAN },
        { "Corpselight", 60000, 150, RACE_SPECTRE },
        { "Parrish the Bloodthirsty", 60000, 150, RACE_VAMPIRE },
        { "Vile", 60000, 150, RACE_SKELETON },
        { "Prentice the Trusted", 60000, 150, RACE_SKELETON },
        { "Griella Humanslayer", 60000, 150, RACE_IMP },
        { "Angel", 60000, 150, RACE_VAMPIRE },
        { "Flotsam the Bloated", 60000, 150, RACE_ZOMBIE },
        { "Nieval", 60000, 150, RACE_VAMPIRE },
        { "Anastasia the Luminous", 60000, 150, RACE_SPECTRE },
        { "Charity the Necromancer", 60000, 150, RACE_DARK_ELF },
        { "Pugnacious the Pugilist", 60000, 150, RACE_HALF_ORC },
        { "Footsore the Lucky", 60000, 150, RACE_BEASTMAN },
        { "Sidria Lighfingered", 60000, 150, RACE_HUMAN },
        { "Riatho the Juggler", 60000, 150, RACE_HOBBIT },
        { "Janaaka the Shifty", 60000, 150, RACE_GNOME },
        { "Cina the Rogue", 60000, 150, RACE_GNOME },
        { "Arunikki Greatclaw", 60000, 150, RACE_DRACONIAN },
        { "Chaeand the Poor", 60000, 150, RACE_HUMAN },
        { "Afardorf the Brigand", 60000, 150, RACE_BARBARIAN },
        { "Lathaxl the Greedy", 60000, 150, RACE_MIND_FLAYER },
        { "Falarewyn", 60000, 150, RACE_SPRITE },
        { "Vosur the Wrinkled", 60000, 150, RACE_NIBELUNG },
        { "Araord the Handsome", 60000, 150, RACE_AMBERITE },
        { "Theradfrid the Loser", 60000, 150, RACE_HUMAN },
        { "One-Legged Eroolo", 60000, 150, RACE_HALF_OGRE },
#endif
    },
    {
        /* Home */
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
        { _("我が家", "Your home"), 0, 100, 99 },
    },

    {
        /* Bookstore - 21 unique names */
#ifdef JP
        { "強欲ドラフ", 30000, 108, RACE_HUMAN },
        { "賢者オドナー", 30000, 105, RACE_HIGH_ELF },
        { "中立のガンダー", 30000, 110, RACE_DARK_ELF },
        { "忍耐の人ロ=シャ", 30000, 105, RACE_ELF },
        { "ランドルフ・カーター", 30000, 108, RACE_HUMAN },
        { "隼のサライ", 30000, 108, RACE_HUMAN },
        { "千里眼ボドリル", 30000, 105, RACE_HIGH_ELF },
        { "沈黙のヴェオロイン", 30000, 110, RACE_ZOMBIE },
        { "学者のヴァンシラス", 30000, 105, RACE_MIND_FLAYER },
        { "物書きオセイン", 30000, 108, RACE_SKELETON },
        { "本の虫オルヴァー", 30000, 105, RACE_VAMPIRE },
        { "浅井墓男", 30000, 110, RACE_ZOMBIE },
        { "デスマスク", 30000, 105, RACE_ZOMBIE },
        { "学者のアスーヌ", 30000, 108, RACE_MIND_FLAYER },
        { "死人のプリランド", 30000, 105, RACE_ZOMBIE },
        { "鉄のロナール", 30000, 110, RACE_GOLEM },
#else
        { "Dolaf the Greedy", 30000, 108, RACE_HUMAN },
        { "Odnar the Sage", 30000, 105, RACE_HIGH_ELF },
        { "Gandar the Neutral", 30000, 110, RACE_DARK_ELF },
        { "Ro-sha the Patient", 30000, 105, RACE_ELF },
        { "Randolph Carter", 30000, 108, RACE_HUMAN },
        { "Sarai the Swift", 30000, 108, RACE_HUMAN },
        { "Bodril the Seer", 30000, 105, RACE_HIGH_ELF },
        { "Veloin the Quiet", 30000, 110, RACE_ZOMBIE },
        { "Vanthylas the Learned", 30000, 105, RACE_MIND_FLAYER },
        { "Ossein the Literate", 30000, 108, RACE_SKELETON },
        { "Olvar Bookworm", 30000, 105, RACE_VAMPIRE },
        { "Shallowgrave", 30000, 110, RACE_ZOMBIE },
        { "Death Mask", 30000, 105, RACE_ZOMBIE },
        { "Asuunu the Learned", 30000, 108, RACE_MIND_FLAYER },
        { "Prirand the Dead", 30000, 105, RACE_ZOMBIE },
        { "Ronar the Iron", 30000, 110, RACE_GOLEM },
#endif
#ifdef JP
        { "ガリル=ガミル", 30000, 105, RACE_ELF },
        { "本食いローバグ", 30000, 108, RACE_KOBOLD },
        { "キリアリキーク", 30000, 105, RACE_KLACKON },
        { "静かなるリリン", 30000, 110, RACE_DWARF },
        { "王者イサング", 30000, 105, RACE_HIGH_ELF },
        { "強欲ドラフ", 30000, 108, RACE_HUMAN },
        { "賢者オドナー", 30000, 105, RACE_HIGH_ELF },
        { "中立のガンダー", 30000, 110, RACE_DARK_ELF },
        { "忍耐の人ロ=シャ", 30000, 105, RACE_ELF },
        { "ランドルフ・カーター", 30000, 108, RACE_HUMAN },
        { "隼サライ", 30000, 108, RACE_HUMAN },
        { "千里眼ボドリル", 30000, 105, RACE_HIGH_ELF },
        { "沈黙のヴェオロイン", 30000, 110, RACE_ZOMBIE },
        { "学者のヴァンシラス", 30000, 105, RACE_MIND_FLAYER },
        { "物書きオセイン", 30000, 108, RACE_SKELETON },
        { "本の虫オルヴァー", 30000, 105, RACE_VAMPIRE },
#else
        { "Galil-Gamir", 30000, 105, RACE_ELF },
        { "Rorbag Book-Eater", 30000, 108, RACE_KOBOLD },
        { "Kiriarikirk", 30000, 105, RACE_KLACKON },
        { "Rilin the Quiet", 30000, 110, RACE_DWARF },
        { "Isung the Lord", 30000, 105, RACE_HIGH_ELF },
        { "Dolaf the Greedy", 30000, 108, RACE_HUMAN },
        { "Odnar the Sage", 30000, 105, RACE_HIGH_ELF },
        { "Gandar the Neutral", 30000, 110, RACE_DARK_ELF },
        { "Ro-sha the Patient", 30000, 105, RACE_ELF },
        { "Randolph Carter", 30000, 108, RACE_HUMAN },
        { "Sarai the Swift", 30000, 108, RACE_HUMAN },
        { "Bodril the Seer", 30000, 105, RACE_HIGH_ELF },
        { "Veloin the Quiet", 30000, 110, RACE_ZOMBIE },
        { "Vanthylas the Learned", 30000, 105, RACE_MIND_FLAYER },
        { "Ossein the Literate", 30000, 108, RACE_SKELETON },
        { "Olvar Bookworm", 30000, 105, RACE_VAMPIRE },
#endif
    },

    {
        /* Museum */
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
        { _("博物館", "Museum"), 0, 100, 99 },
    },
};
